%global modulename autoprefixer

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-autoprefixer
Version:        9.3.1
Release:        1%{?dist}
Summary:        Parse CSS and add vendor prefixes to CSS rules using values from the Can I Use website

License:        MIT
URL:            https://github.com/postcss/autoprefixer#readme
Source0:        https://registry.npmjs.org/autoprefixer/-/autoprefixer-9.3.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(browserslist) >= 4.3.3 with npmlib(browserslist) < 5.0.0))
BuildRequires:  ((npmlib(caniuse-lite) >= 1.0.30000898 with npmlib(caniuse-lite) < 2.0.0))
BuildRequires:  ((npmlib(normalize-range) >= 0.1.2 with npmlib(normalize-range) < 0.2.0))
BuildRequires:  ((npmlib(num2fraction) >= 1.2.2 with npmlib(num2fraction) < 2.0.0))
BuildRequires:  ((npmlib(postcss) >= 7.0.5 with npmlib(postcss) < 8.0.0))
BuildRequires:  ((npmlib(postcss-value-parser) >= 3.3.1 with npmlib(postcss-value-parser) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Parse CSS and add vendor prefixes to CSS rules using values from the Can I Use website

%package 9.3.1
Summary:        Parse CSS and add vendor prefixes to CSS rules using values from the Can I Use website


%description 9.3.1
Parse CSS and add vendor prefixes to CSS rules using values from the Can I Use website

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr data %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/autoprefixer %{buildroot}/%{_bindir}/autoprefixer


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{_bindir}/autoprefixer
%{nodejs_dir}/%{modulename}

%files 9.3.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 9.3.1-1
- Package automatically generated by npm2srpm
